var express = require('express');
var path = require('path'); //系统路径模块
var app = express();
var api = require('./app/api');

app.use(express.static(path.join(__dirname, 'public')));

// app.use('/public', express.static('public'));

// app.get('/hello', function (req, res) {
//    res.send('Hello Baobiaoxiu');
// })

var defaultIndexFile = __dirname + '/public/reports/eeedf1828c720c888f6df84a7178193f.html';
var indexFile = defaultIndexFile || (__dirname + "/index.html");

app.get('/', function (req, res) {
  res.sendFile(indexFile);
});

app.get('/index.html', function (req, res) {
  res.sendFile(indexFile);
});

//设置允许跨域访问该服务.
app.all('*', function (req, res, next) {
  res.header('Access-Control-Allow-Origin', '*');
  //Access-Control-Allow-Headers ,可根据浏览器的F12查看,把对应的粘贴在这里就行
  res.header('Access-Control-Allow-Headers', 'Origin, X-Requested-With, Content-Type, Accept, Authorization');
  res.header('Access-Control-Allow-Methods', '*');
  res.header('Access-Control-Max-Age', '3600');
  res.header('Content-Type', 'application/json;charset=utf-8');
  next();
});

api(app);

var server = app.listen(9696, function () {

  var host = server.address().address;
  var port = server.address().port;
  console.log(`可以点击下面链接打开浏览器查看报告`);
  console.log(`http://127.0.0.1:${port}`);
  console.log(`http://127.0.0.1:${port}/reports/eeedf1828c720c888f6df84a7178193f.html`);
  console.log(`可以点击下面链接打开浏览器查看测试API`);
  console.log(`http://127.0.0.1:${port}/myapi/data/hello`);

});
